import javax.swing.*;    //Used by JDK 1.2 Beta 4 and all
import javax.swing.event.*;

import java.awt.*;
import java.awt.event.*;

/** ******************************************************************
 *  Die Men&uuml;s fuer das Springerspiel. <BR>
 *  
 */
public class FbMenue
{
    JMenuBar menuBar;
    ActionListener actionListener;
    static String[] fileItems         = {"Neu", "Exit"};
    static String[] helpItems         = {"Hilfe", "ber"};
    
    /** ******************************************************************
     * 
     */
    public FbMenue(ActionListener aL) {
	actionListener = aL;

	menuBar = new JMenuBar();

	addMenu( "Spiel",     fileItems, "G_" );
	addMenu( "Hilfe",     helpItems, "H_" );
    }

    public JMenuBar getMenuBar() { return menuBar; }

    /** ******************************************************************
     *  Add a new menu. 
     *  The title and the items define the layout of the menu.
     *  For example 
     *  <BR> <CODE><B> addMenu</B>( "Help", {"About", "Version"}, "H_") </CODE> <BR> 
     *  creates a help menu with two items. 
     *  The header is the prefix of the action command. 
     *  In the example the two action commands are H_About and H_Version.
     */
    void addMenu( String title, String[] items, String header ) {
	JMenu     menu;
	JMenuItem menuItem;
	
	menu = new JMenu( title );
	menuBar.add( menu );
	for( int j=0; j<items.length; j++ ) {
	    menuItem = myAddItem( items[j], header + items[j], actionListener );
	    menu.add( menuItem );
	}
    }

    /** ******************************************************************
     * 
     */
    private JMenuItem myAddItem( String lab, String msg, ActionListener li ) {
	JMenuItem mi = new JMenuItem( lab );
	mi.setActionCommand( msg );
	mi.addActionListener( li );
	return mi;
    }
}
